﻿header { position: relative; }

.toolbarcontainer { z-index:9999; position: relative; }
	.toolbarcontainer a { font-size: 16px; line-height: 1.2; font-weight: 400; padding: 4px 0 !important; margin-right: 20px; font-size: 16px; color: #273754; transition: ease-in-out all 0.3s; text-shadow:#fff 0px 0px 4px; }
		.toolbarcontainer a:hover, .toolbarcontainer a:focus { color: #d53240; }
		.toolbarcontainer a.nav-lang { background-color: #273754; display: inline-block; padding: 5px 6px 4px 6px !important; color: #fff !important; border-radius: 4px; margin-left: 6px; margin-right: 0; }
			.toolbarcontainer a.nav-lang:hover, .toolbarcontainer a.nav-lang:focus { background-color: #d53240; }

.navbar { background-color: transparent; border-bottom: solid 0px #000; z-index: 400; }
.navbar-brand, .navbar-brand img { transition: ease-in-out .30s; }
.navbar-light .navbar-nav .nav-link { color: #273754; }
.navbar-light .navbar-toggler { border: 0; }
.navbar-light .navbar-nav .nav-link:focus, .navbar-light .navbar-nav .nav-link:hover { color: #d53240; }
.mainmenu { padding: 8px 0; transition: ease-in-out 0.3s all; }
	.mainmenu .nav-item { font-size: 20px; line-height: 1; font-weight: 700; }
	.mainmenu a.nav-link:hover, .mainmenu .nav-item.active a { color: #d53240 !important; }

.navbar.navfixed {background-color:#fff;box-shadow:#000 0 0 30px;}


@media(min-width:1400px) {
	.contraheader { height: 145px; }
	.toolbarcontainer { margin-top: 60px; }
	.navbar-brand { max-width: 290px; padding: 30px 0; display: inline-block; }
		.navbar-brand img { width: 290px; }
	.navfixed .navbar-brand { max-width: 170px; padding: 5px 0; }
		.navfixed .navbar-brand img { width: 170px; }
}

@media(min-width:1200px) and (max-width:1399px) {
	.contraheader { height: 115px; }
	.toolbarcontainer { margin-top: 40px; }
	.navbar-brand { max-width: 250px; padding: 20px 0; display: inline-block; }
		.navbar-brand img { width: 250px; }
	.navfixed .navbar-brand { max-width: 160px; padding: 10px 0; }
		.navfixed .navbar-brand img { width: 160px; }
	.mainmenu .nav-item { font-size: 18px; }
}

@media(min-width:1200px) {
	.navbarcontainer .navbar-brand img, .navbarcontainer.navfloat .navbar-brand img { margin-top: 0px; }
	.mainmenu { margin-top: 70px; }
	.navfixed .mainmenu { margin-top: 0px; }
	.mainmenu .nav-item, .topmenu .nav-item { position: relative; }

	.nav-button { background-color: #d53240; border: solid 2px #d53240 !important; display: inline-block; padding: 4px 20px !important; color: #fff !important; border-radius: 20px; transition: ease-in-out all 0.3s; margin-left: 20px; }
	.nav-link.nav-button:hover { background-color: transparent; border: solid 2px #d53240 !important; color: #d53240 !important; }

	.navbar .nav-item:hover .nav-link { color: #d53240; }
	.navbar-expand-xl .navbar-nav.mainmenu .nav-link { padding: 0 15px; }
}

button:focus { outline: none; }

@media(max-width:1199px) {
	.toolbarcontainer { margin-top:15px;}
	.nav-item { text-align: center; font-size: 18px !important; line-height: 20px !important; font-weight: 700; }
	.mainmenu {background-color:#fff;margin-top:30px;border-radius:0 0 10px 10px;}

	.navbar-toggler { width: 50px; height: 50px; background-color: transparent; box-shadow: none !important; transition:ease-in-out all 0.3s; }
		.navbar-toggler span { transform: none; background-color: #231f20; margin: 7px auto; width: 100%; height: 2px; transition: all 0.8s cubic-bezier(0.810, -0.330, 0.345, 1.375); opacity: 1; display: block; }
		.navbar-toggler[aria-expanded="true"] span:first-of-type { transform: rotate(45deg) translate(0px, 7px); }
		.navbar-toggler[aria-expanded="true"] span:nth-of-type(2) { opacity: 0; }
		.navbar-toggler[aria-expanded="true"] span:last-of-type { transform: rotate(-45deg) translate(6px, -12px); }
		.navbar-toggler[aria-expanded="true"] span { background-color: #d53240; }
	.navbar-collapse { margin-top: -30px; }
	.nav-button {margin-left:0;}
}

@media (max-width:1199px) {
	.contraheader { height: 115px; }
	.navbar-brand img { max-width: 200px; padding: 15px 0; }
	.navfixed .navbar-brand img { max-width: 160px; padding: 3px 0; }
}

@media (max-width:767px) {
	.contraheader { height: 115px; }
	.toolbarcontainer a:first-child {display:none;}
}

@media(max-width:480px) {
	.contraheader { height: 90px; }
	.navbar-brand img { max-width: 160px; padding: 10px 0; }
	.navfixed .navbar-brand img { max-width: 100px; }
	.toolbarcontainer a:nth-child(2) { display: none; }
	.navbar-toggler {margin-top:40px;}
	.navfixed .navbar-toggler {margin-top:0;}
}
